using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Runtime.InteropServices.ComTypes;
using System.Text;
using System.Threading.Tasks;
using EHF;

namespace Valg.EVA.Skanning.Scan.ReadSoftEmulation
{
    internal class Fields : List<EHF.Field>, EHF.IEHF_IFieldCollection
    {
        IEnumerator IEHF_IFieldCollection.GetEnumerator()
        {
            return GetEnumerator();
        }

        object IEHF_IFieldCollection.Item(object Index)
        {
            return this[(int)Index];
        }

        short IEHF_IFieldCollection.Count => (short)Count;
    }
}

